Bug 110193 - redhat-config-network activate button not responding
redhat-config-network activate button not responding
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: redhat-config-network (Show other bugs)
7.3
noarch Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
:
Depends On:
Blocks: 111252
  Show dependency treegraph
 
Reported: 2003-11-16 14:58 EST by Stefan Wolff
Modified: 2007-04-18 12:59 EDT (History)
0 users

See Also:
Fixed In Version: 1.3.13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-17 09:03:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stefan Wolff 2003-11-16 14:58:38 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2)
Gecko/20030708

Description of problem:
After starting up redhat-config-network, pressing the "activate"
button (on any device) has no effect. Other buttons work fine. The
"activate" button worked fine on
redhat-config-network-0.9.10-2.noarch.rpm.

Version-Release number of selected component (if applicable):
redhat-config-network-1.0.4-2

How reproducible:
Always

Steps to Reproduce:
1.Start redhat-config-network
2.Select an inactive device
3.Press activate
    

Actual Results:  Nothing (button goes in and out)

Expected Results:  The device should activate - or an error message
should be displayed.

Additional info:

Fix: Lines 674-692 of /usr/share/redhat-config-network/netconf.py
 should be left-shifted one "notch". According to the existing code,
the device should only activate if the setup had changed.
Left-shifting the code (to close "if dev.changed:" instead of "if
self.changed():") solves the problem.
Comment 1 Harald Hoyer 2003-11-25 09:09:38 EST
fixed in CVS
Thanks for reporting!

Note You need to log in before you can comment on or make changes to this bug.